Changes in RO/start_build to avoid compiling and tests when run from the installer 97/997/1
authorgarciadeblas <gerardo.garciadeblas@telefonica.com>
Fri, 20 Jan 2017 13:28:17 +0000 (14:28 +0100)
committergarciadeblas <gerardo.garciadeblas@telefonica.com>
Fri, 20 Jan 2017 13:28:17 +0000 (14:28 +0100)
Change-Id: I4c7e4cf2930c3a327a7d020f6270a2e52e4509b3
Signed-off-by: garciadeblas <gerardo.garciadeblas@telefonica.com>
installers/install_from_source.sh
jenkins/RO/start_build

index 49cabfb..5a87068 100755 (executable)
@@ -279,7 +279,7 @@ echo -e "\nChecking required packages: wget, curl, tar"
 dpkg -l wget curl tar &>/dev/null || ! echo -e "    One or several packages are not installed.\nInstalling required packages\n     Root privileges are required" || sudo apt install -y wget curl tar
 
 echo -e "\nCreating the containers and building ..."
-$OSM_DEVOPS/jenkins/host/start_build RO checkout $COMMIT_ID
+$OSM_DEVOPS/jenkins/host/start_build RO --notest checkout $COMMIT_ID
 $OSM_DEVOPS/jenkins/host/start_build VCA
 $OSM_DEVOPS/jenkins/host/start_build SO checkout $COMMIT_ID
 $OSM_DEVOPS/jenkins/host/start_build UI checkout $COMMIT_ID
index 4db12ec..e7d8bf4 100755 (executable)
@@ -25,17 +25,29 @@ OSM_JENKINS=$(dirname $HERE)
 # SET YOU MDG repository name here
 export OSM_MDG=RO
 OSM_load_config
+
+NOTEST=""
+if [ $1 = "--notest" ]; then
+    shift
+    NOTEST="y"
+fi
+
 OSM_git_checkout "$@"
 
+INFO "installing RO packages and dependencies from current repo (--noclone)"
+./scripts/install-openmano.sh --noclone --force -q
+RC=$?
+
+if [ -n "$NOTEST" ]; then
+    INFO "done, RC=$RC"
+    exit $RC
+fi
 
 INFO "starting build"
 
 INFO "  cleaning .pyc"
 rm -f *.pyc
 
-INFO "  installing openmano packages and dependencies from current repo (--noclone)"
-./scripts/install-openmano.sh --noclone --force -q
-
 INFO "  compiling *.py"
 TEMPFILE="$(mktemp -q -p . "openmanolinker.XXXXXX.py")"
 trap 'rm -f "$TEMPFILE"' EXIT